Skip to main content

11 posts tagged with "public-api"

View All Tags

v4.82.0

· One min read

Minor changes

New endpoints for activities

  • View Documentation Additional fields on
  • GET /items (search): added permission param to filter by user permission
  • PUT /items/:itemId: external-contacts schema now accepts id
  • POST /items/:itemId/documents: new optional interactionId query param to link document to interaction

v4.76.0

· One min read

Major changes

New Tasks API endpoints:

  • Full CRUD operations on tasks
  • Advanced filtering and sorting capabilities
  • Multi-user assignment (assignees and assigners)
  • View Documentation

Advanced Filtering & Sorting List tasks with powerful filters:

  • By item IDs or workflow IDs
  • By task templates, statuses (pending, completed, overdue)
  • By assignees and assigners
  • Sort by title, due date, status, workflow, assignee, company name, or creation date
  • Pagination support (default 50 per page)

v4.72.0

· One min read

Added

  • Items - Reference Data - Add features availability
  • Items - Reference Data - Add available_fields / icon / parentTypologyName for each typology
  • Items - Scorings - Add scorings in public api items endpoints

v4.66.0

· One min read

Documentation

Group mapping disabled: We've added a paragraph to specify how to disable the groups mapping option since this is something we are not supporting yet.

v4.60.0

· One min read

New Features:

Add enrichment support: Added support for enrichment in post & put item endpoints. Add siret fields support: Added support for siret fields if activated on the platform on all item endpoints.

v4.49.1

· One min read

New Features:

New properties in tags payload in item collection: Added properties in the payload of public API items, in the tag section. List of properties added:

  • parentTag: Parent tag object of the current tag.
  • categoryTag: Category tag object of the current tag.
  • More info here

v4.47.2

· One min read

New Features:

New properties in webhook payload: Added properties in the payload of public API webhooks. List of properties added:

  • objectLabel: Current object name
  • processId: When subscribing to associationChange event and object is an item of the partner type, here is the current process id.
  • processLabel: When subscribing to associationChange event and object is an item of the partner type, here is the current process label.
  • fields: List of fields available in current and previous object.
  • More info here